Update an asset

Update an asset

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Update an existing asset.

Below is an example that updates the contents of a JSON asset with following data

{
  "foo" : "bar"
}

Before updating this asset, we need to first convert the asset data into a Base64 encoded string. The encoded string can then be set to the content field of the JSON payload object used to create the asset.

curl -i --user "543cce56-c950-4c7f-9dcc-53bcb3e90a4a:Mry2oK3GSjy78O2WyORgJQ" -X POST -H "Content-Type: application/json" https://api.lumenpath.com/api/asset/c0eb26da-f39e-4211-9964-095d020dfe7b/asset/92a572b1-35ea-40e1-a871-0934efeb210a/ -d '{"content_type": "application/javascript", "content": "ew0KICAiZm9vIiA6ICJiYXIiDQp9"}'

Response
========
{"id":"92a572b1-35ea-40e1-a871-0934efeb210a","created_on":"2014-11-07T20:04:45.872Z","modified_on":"2014-11-07T20:04:45.872Z","content_type":"application/javascript","size":21,"content_url":"https://api.lumenpath.com/api/asset/543cce56-c950-4c7f-9dcc-53bcb3e90a4a/asset/92a572b1-35ea-40e1-a871-0934efeb210a/content/"}
Path Params
string
required

Application Id

string
required

Asset Id

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Choose an example:
application/json